=== debian/changelog ===
aom (1.0.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 15:00:28 -0800

aom (1.0.0-3) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * d/rules: Disable AltVec on powerpcspe.

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Oct 2018 18:21:30 +0100

aom (1.0.0-2) unstable; urgency=medium

  * Cherry-pick upstream commit to fix FTBFS on ppc64el.
  * d/control:
    - Use correct Maintainer.
    - Bump standards version.
  * d/rules:
    - Workaround broken 32-bit ARM architecture detection.
    - Disable optimizations on x32 to fix FTBFS.
  * d/tests:
    - control: make library-build depend on build-essential.
    - encode-decode: fix target size.
    - library-build: Remove useless include.
    - library-build: Make some function args const.
    - library-build: Test number of generated packets.
    - library-build: Add copyright notice.

 -- James Cowgill <jcowgill@debian.org>  Thu, 20 Sep 2018 09:58:42 +0100

aom (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #905096)

 -- James Cowgill <jcowgill@debian.org>  Sun, 12 Aug 2018 18:18:57 +0100
