## aom 1.0.0.1

=== debian/changelog ===
aom (1.0.0.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Thu, 02 Sep 2021 14:40:43 +0800
