=== debian/changelog ===
aom (1.0.0.errata1-3+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2020-36130, CVE-2020-36131, CVE-2020-36133, CVE-2020-36135,
    CVE-2021-30473, CVE-2021-30474 and CVE-2021-30475.
    Multiple security vulnerabilities have been discovered in aom, the AV1
    Video Codec Library. Buffer overflows, use-after-free and NULL pointer
    dereferences may cause a denial of service or other unspecified impact if a
    malformed multimedia file is processed.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Sep 2023 23:10:00 +0200

aom (1.0.0.errata1-3) unstable; urgency=medium

  [ James Cowgill ]
  * d/tests:
    - Merge pkg-config invocations.
    - Make library-build test cross test friendly.
      Thanks to Steve Langasek for the original patch. (Closes: #946236)

  [ Ondřej Nový ]
  * d/control: Bump Standards-Version to 4.4.1.

 -- James Cowgill <jcowgill@debian.org>  Thu, 02 Jan 2020 19:26:18 +0000

aom (1.0.0.errata1-2) unstable; urgency=medium

  [ James Cowgill ]
  * d/rules:
    - Manually set AOM_NEON_INTRIN_FLAG on armhf.
    - Enable CONFIG_LOWBITDEPTH.

  [ Tom Finegan ]
  * cmake: Fix arm neon intrinsic flag handling bugs.

 -- James Cowgill <jcowgill@debian.org>  Sun, 01 Sep 2019 13:28:49 +0100

aom (1.0.0.errata1-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/control:
    - Add build-dependency on graphviz,
    - Bump debhelper compat to 12,
    - Bump standards version to 4.4.0,
  * d/rules: Manually specify target cpu and enable multithreading.
  * d/source: Add dgit-maint-merge workflow files,
  * d/watch: Fix tag URLs and upstream version mangling,

  [ Jan Beich ]
  * cmake: Assume ELF object format for unknown target systems.
    (Closes: #934604)

 -- James Cowgill <jcowgill@debian.org>  Sat, 31 Aug 2019 19:21:46 +0100
