=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,27 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
 
-# Workaround broken 32-bit ARM architecture detection in
-# build/cmake/aom_configure.cmake
-ifeq ($(DEB_HOST_GNU_CPU),arm)
-  CONFIG_EXTRA := -DAOM_TARGET_CPU=arm
-endif
-
-# Disable optimizations on x32 which fail to build
-ifeq ($(DEB_HOST_ARCH),x32)
-  CONFIG_EXTRA := -DAOM_TARGET_CPU=generic
+# In the normative branch, we need to manually set the target cpu to
+# enable optimisation
+ifeq ($(DEB_HOST_ARCH_CPU),arm64)
+  TARGET_CPU = arm64
+else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),arm_eabihf)
+  TARGET_CPU = armv7
+  # On ARM, we need to manually pass the flag used to compile NEON
+  # code with
+  CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
+else ifneq ($(filter mips64%, $(DEB_HOST_ARCH_CPU)),)
+  TARGET_CPU = mips64
+else ifneq ($(filter mips%, $(DEB_HOST_ARCH_CPU)),)
+  TARGET_CPU = mips32
+else ifneq ($(filter ppc% powerpc%, $(DEB_HOST_ARCH_CPU)),)
+  TARGET_CPU = ppc
+else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),amd64_base)
+  TARGET_CPU = x86_64
+else ifeq ($(DEB_HOST_ARCH_CPU),i386)
+  TARGET_CPU = x86
+else
+  TARGET_CPU = generic
 endif
 
 # Disable AltiVec on powerpcspe
@@ -32,14 +44,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
+		-DCONFIG_LOWBITDEPTH=1 \
+		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		-DAOM_TARGET_CPU=$(TARGET_CPU) \
 		$(CONFIG_EXTRA)
 
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
 	dh_compress -Xchangelog.html
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
