=== debian/watch ===
version=4
opts="repack,compression=xz, \
      uversionmangle=s/-/./, \
      downloadurlmangle=s|\+|\+archive|;s|$|.tar.gz|, \
      filenamemangle=s|.*/v|aom-|;s|$|.tar.gz|" \
    https://aomedia.googlesource.com/aom/+refs /aom/\+/refs/tags/v@ANY_VERSION@
