=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: James Cowgill <jcowgill@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
 Build-Depends:
  cmake (>= 3.5),
- debhelper (>= 11),
+ debhelper-compat (= 12),
+ yasm [any-amd64 any-i386],
+Build-Depends-Indep:
  doxygen,
- yasm [any-amd64 any-i386],
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://aomedia.org/
-Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/aom
+#Vcs-Git
+#Vcs-Browser
 
 Package: aom-tools
 Architecture: any
@@ -26,7 +27,7 @@
  .
  This package contains the command line encoding and decoding tools.
 
-Package: libaom0
+Package: libaom3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -43,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libaom0 (= ${binary:Version}), ${misc:Depends}
+Depends: libaom3 (= ${binary:Version}), ${misc:Depends}
 Description: AV1 Video Codec Library -- Development Files
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
@@ -56,7 +57,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-mathjax
 Description: AV1 Video Codec Library -- Documentation
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
