=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
   CONFIG_EXTRA := -DENABLE_VSX=OFF
 endif
 
+# Use -Bbuild-debian to locate built documentation
 %:
 	dh $@ -Bbuild-debian
 
@@ -48,7 +49,6 @@
 		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \
-		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		-DAOM_TARGET_CPU=$(TARGET_CPU) \
 		$(CONFIG_EXTRA)
