## aom 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,9 +47,9 @@
 # passed to libtool.
 #
 # We set SO_FILE_VERSION = [c-a].a.r
-set(LT_CURRENT 5)
+set(LT_CURRENT 6)
 set(LT_REVISION 0)
-set(LT_AGE 2)
+set(LT_AGE 3)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
 unset(LT_CURRENT)
