=== debian/changelog ===
aom (3.3.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in img_alloc_helper
    - debian/patches/CVE-2024-5171.patch: avoid integer overflows in
      align_image_dimension() in aom/aom_image.h, aom/src/aom_image.c,
      test/aom_image_test.cc.
    - CVE-2024-5171

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Thu, 20 Mar 2025 15:02:11 +0200

aom (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.3.0.
  * debian/rules: Use -f flag for file removal.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Feb 2022 12:14:54 -0500

aom (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump CMake version requirement to 3.6.
  * debian/patches/0002: Add patch to use system libyuv instead of
    embedded one.
  * debian/control: Add new build-dependency libyuv-dev.
  * debian/rules: Explicitly specify CONFIG_LIBYUV=1.
  * debian/rules: Remove third_party/libyuv/ directory before
    configure. This prevents accidentally using embedded libyuv
    copy for building in the future.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Dec 2021 16:27:40 -0500

aom (3.2.0-1) unstable; urgency=high

  * Team upload.
  * Upload to unstable. (Closes: #997983)

 -- Boyuan Yang <byang@debian.org>  Mon, 01 Nov 2021 18:23:49 -0400

aom (3.2.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.2.0. (Closes: #972467, #952564)
    + Fix various security issues. (CVE-2021-30474, CVE-2021-30475)
    + Fix non-heap memory free. (Closes: #988211, CVE-2021-30473)
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Rename library package libaom0 -> libaom3 (SONAME bump).
  * debian/patches: Dropped old patches, merged upstream.
  * debian/patches/0001-mathjax: Use local mathjax js copy from
    libjs-mathjax to prevent privacy breach (lintian error).
  * debian/watch: Update to properly handle RC versions.
  * debian/copyright: Refresh copyright information.
  * debian/libaom3.symbols: Document library symbols.
  * debian/libaom-dev.install: Also install static library.
  * debian/rules:
    + Do not set LIB_INSTALL_DIR since aom upstream is no longer using
      this variable.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Oct 2021 18:37:31 -0400

aom (1.0.0.errata1.ds-1) unstable; urgency=high

  * Team upload.
  * Revert original source code to 1.0.0-errata1 due to implicit
    ABI break in 1.0.0-errata1-avif. (Closes: #997806)
  * debian/source/{options,patch-header}: Dropped.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Oct 2021 15:42:12 -0400

aom (1.0.0.errata1.avif-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.0-errata1-avif, taken from upstream
    git commit 4eb1e77 (2019-12-12).
    + This version is said to work with libavif, but actually
      not. (see: #952564)
    + More work is needed to package newer aom:
      aom 2.x bumps SONAME to 2, which needs to go through NEW queue.
      aom 3.x needs unpackaged libyuv (currently in NEW queue).
  * debian/patches: Refresh existing patches.
  * debian/libaom0.symbols: Refresh symbols.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #982184)
    + Demote doxygen to Build-Depends-Indep.
    + Drop unused graphviz since HAVE_DOT=no.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Oct 2021 17:14:14 -0400
