=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
- cmake (>= 3.5),
- debhelper-compat (= 12),
+ cmake (>= 3.6),
+ debhelper-compat (= 13),
+ libyuv-dev,
  yasm [any-amd64 any-i386],
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://aomedia.org/
-#Vcs-Git
-#Vcs-Browser
+Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/aom
 
 Package: aom-tools
 Architecture: any
