=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 %:
 	dh $@ -Bbuild-debian
 
+# Force building with system libyuv
+execute_before_dh_auto_configure:
+	rm -rf $(CURDIR)/third_party/libyuv
+
 # Examples and tools not built because they require various private
 #  symbols from libaom.so which we filter out.
 # Tests disabled because they require network access to download test
@@ -46,6 +50,7 @@
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
 		-DCONFIG_LOWBITDEPTH=1 \
+		-DCONFIG_LIBYUV=1 \
 		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \
