## aom 3.4.0

=== debian/changelog ===
aom (3.4.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 13:35:52 -0700

aom (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jun 2022 10:43:54 -0400

aom (3.4.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.4.0~rc1.
  * debian/patches: Refresh patches.
  * debian/rules: Update buildflag name as recommended by upstream
    (CONFIG_LOWBITDEPTH -> FORCE_HIGHBITDEPTH_DECODING).

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jun 2022 15:06:45 -0400

aom (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against new libyuv.
  * debian/control: Use googlesource project as homepage.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 May 2022 13:41:44 -0400
