=== debian/rules ===
--- 
+++ 
@@ -46,10 +46,13 @@
 #  data.
 # Setting GIT_EXECUTABLE to some invalid file prevents the version
 #  being taken from git if we're on a Debian packaging git branch.
+#
+# For FORCE_HIGHBITDEPTH_DECODING, see git commit
+# 2dd87d9b05b36811aaf19d3c4e47e6e04ccf9de8.
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
-		-DCONFIG_LOWBITDEPTH=1 \
+		-DFORCE_HIGHBITDEPTH_DECODING=0 \
 		-DCONFIG_LIBYUV=1 \
 		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
@@ -60,3 +63,7 @@
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
 	dh_compress -Xchangelog.html
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
